<?php

namespace App\ViewModels\ChameFacil\ChameFacilSenhaResgistrationViewModel;

use App\Utils\Builder;

class ChameFacilSenhaRegistrationViewModelBuilder implements Builder {
	protected $id;
	protected $id_senha;
	protected $id_filainterna;
	protected $id_tutor;
	protected $id_pet;
	protected $id_requisicao;
	protected $id_procedimento;
	protected $id_tipo_convenio;
	protected $id_unidade;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $operacao;
	protected $setor;

	public function build(): ChameFacilSenhaRegistrationViewModel {

		$cfsenha = new ChameFacilSenhaRegistrationViewModel();

		$cfsenha->setId( $this->id );
		$cfsenha->setIdSenha( $this->id_senha );
		$cfsenha->setIdFilaInterna( $this->id_filainterna );
		$cfsenha->setIdTutor( $this->id_tutor );
		$cfsenha->setIdPet( $this->id_pet );
		$cfsenha->setIdRequisicao( $this->id_requisicao );
		$cfsenha->setIdProcedimento( $this->id_procedimento );
		$cfsenha->setIdTipoConvenio( $this->id_tipo_convenio );
		$cfsenha->setIdUnidade( $this->id_unidade );
		$cfsenha->setOperacao( $this->operacao );
		$cfsenha->setSetor( $this->setor );
		$cfsenha->setCriadoPor( $this->criado_por );
		$cfsenha->setDataCriacao( $this->data_criacao );
		$cfsenha->setHoraCriacao( $this->hora_criacao );

		return $cfsenha;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_senha
	 */
	public function setIdSenha($id_senha) {

		$this->id_senha = $id_senha;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_filainterna
	 */
	public function setIdFilaInterna($id_filainterna) {

		$this->id_filainterna = $id_filainterna;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_tutor
	 */
	public function setIdTutor($id_tutor) {

		$this->id_tutor = $id_tutor;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet) {

		$this->id_pet = $id_pet;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_requisicao
	 */
	public function setIdRequisicao($id_requisicao) {

		$this->id_requisicao = $id_requisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setIdProcedimento($id_procedimento) {

		$this->id_procedimento = $id_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_tipo_convenio
	 */
	public function setIdTipoConvenio($id_tipo_convenio) {

		$this->id_tipo_convenio = $id_tipo_convenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade) {

		$this->id_unidade = $id_unidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $operacao
	 */
	public function setOperacao($operacao) {

		$this->operacao = $operacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $setor
	 */
	public function setSetor($setor) {

		$this->setor = $setor;
		return $this;

	}

}

